// creator  : weidu.exe (version 23600)
// argument : FFHUNT.DLG
// game     : .
// source   : ./DATA/DIALOG.BIF
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~FFHUNT~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #2 /* Triggers after states #: 1 5 even though they appear after this state */
~  NumberOfTimesTalkedTo(0)
Global("Captured","GLOBAL",0)
~ THEN BEGIN 0 // from:
  SAY #15194 /* ~Halt and hold! You stand accused of murder most foul! You will lay down your arms and come with us, or by order of Angelo Dosan you will be killed where you stand! Such is his order and I cannot alter it! It is your choice!~ */
  IF ~~ THEN REPLY #15204 /* ~I have no wish to fight you. I am no murderer, and I welcome the chance to prove it.~ */ GOTO 2
  IF ~~ THEN REPLY #15205 /* ~I am innocent, and I shall not submit myself to the judgment of this "Angelo." Scar is your proper superior!~ */ GOTO 3
  IF ~~ THEN REPLY #15206 /* ~Is there no other option? Perhaps I could... enhance your wage?~ */ GOTO 4
END

IF WEIGHT #0 ~  StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 1 // from:
  SAY #15207 /* ~Dreadfully sorry, but my duty transcends friendship. I must carry out Angelo's orders regardless of my personal feelings, though many of us do not trust him as we did Scar. Your sentence is likely trumped-up, but we must obey. He is our rightful leader, after all.~ */
  IF ~~ THEN UNSOLVED_JOURNAL #26843 /* ~Afoul of the Law
I charmed a member of the Flaming Fist and learned that their new commander, Angelo Dosan, has condemned me to death, though they think his motives are tainted. It is likely that the Flaming Fist will persist in attacking me; for my part, I should refrain from killing them if at all possible. The public would only see me as a murderer of guards, and the fates would undoubtedly frown on my killing innocents, regardless of their intent to harm me.~ */ EXIT
END

IF ~~ THEN BEGIN 2 // from: 4.0 3.0 0.0
  SAY #15211 /* ~A wise decision. You will have a fair chance to defend yourself, regardless of how convinced of your guilt Angelo is. This way.~ */
  IF ~~ THEN DO ~SetGlobal("Captured","GLOBAL",1)
ClearAllActions()
StartCutSceneMode()
StartCutScene("Capcut01")
~ UNSOLVED_JOURNAL #26844 /* ~Afoul of the Law
I have surrendered myself to the Flaming Fist and must go before Angelo Dosan for judgment. I doubt I shall be treated fairly by this Angelo, but I had little choice. If I were to fight the Flaming Fist, I would surely be known as a murderer of guards. They are only following the orders of their new commander and are innocent of any wrongdoing, regardless of their attacks on me. If I am ever faced with the same unfortunate choice in the future, I had best entangle the guards somehow and make my escape without harming them. The fates would not look kindly on my killing innocents, regardless of their intent.~ */ EXIT
END

IF ~~ THEN BEGIN 3 // from: 4.1 0.1
  SAY #15213 /* ~That may be so, but Scar is dead and Angelo is his "proper" replacement. We in the ranks have no other choice but to obey his orders, suspect though they may be! You must decide: Submit and face judgment or fight here and die. I have no choice, but you do!~ */
  IF ~~ THEN REPLY #11751 /* ~I have no wish to fight you. I am no murderer, and I welcome the chance to prove it.~ */ GOTO 2
  IF ~~ THEN REPLY #11752 /* ~I will fight you then, though such a conflict can only hurt my reputation in the eyes of the people!~ */ GOTO 5
END

IF ~~ THEN BEGIN 4 // from: 0.2
  SAY #15215 /* ~Though the same may not be said of our current leadership, the Flaming Fist value their honor and are beyond your foolish attempts at bribery! Orders are orders! You will lay down your arms or lay down your life! Decide!~ */
  IF ~~ THEN REPLY #15218 /* ~I have no wish to fight you. I am no murderer, and I welcome the chance to prove it.~ */ GOTO 2
  IF ~~ THEN REPLY #15219 /* ~I am innocent, and I shall not submit myself to the judgment of this "Angelo." Scar is your proper superior!~ */ GOTO 3
END

IF WEIGHT #1 ~  False()
~ THEN BEGIN 5 // from: 3.1
  SAY #15220 /* ~Then I must carry out the sentence decreed by Angelo! You will pay for your crimes! There is no escape from the Flaming Fist!~ */
  IF ~~ THEN DO ~Shout(1)
Enemy()
~ UNSOLVED_JOURNAL #26845 /* ~Afoul of the Law
I have made the choice to fight the Flaming Fist, though it appears they are only following the command of this Angelo person. It does not matter. If I kill one of them in my escape, I shall be known as a murderer of guards. If they are only doing their job, then I shall be angering the fates as well. It would be best to entangle them somehow and run.~ */ EXIT
END
